# -*- RPM-SPEC -*-
%define KDEDIR /usr
Summary: A CD-ROM mounting utility.
Name: autorun
Version: 2.7
Release: 1
Copyright: GPL
Group: Applications/System
Source: %name-%{PACKAGE_VERSION}.tar.gz
#Source1: Autorun.desktop
BuildRoot: /var/tmp/%{name}-root

%description
The autorun utility recognizes all of the CD-ROM drives on your
system, mounts the drive when a CD-ROM is inserted and executes an
autorun executable (if one exists) on the CD. If you want to give
users (instead of just root) the autorun ability, you'll need to add
user,exec options to the CD-ROM line in /etc/fstab.

%prep
%setup -q

%build
#cp -f %{SOURCE1} .
autoconf
export KDEDIR=%{KDEDIR}
export NOTIFY_PATH="$KDEDIR/bin/kfmclient configureDesktop"
%{configure} --sysconfdir=/etc \
        --datadir=%{KDEDIR}/share
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
/usr/bin/autorun
%{KDEDIR}/share/applnk/Utilities/Autorun.desktop
/etc/skel/.kde/Autostart/Autorun.desktop
%{_mandir}/man?/*

%changelog
* Thu Jul 26 2001 Harald Hoyer <harald@redhat.com> 2.66-1
- autorun now creates a lockfile

* Wed Jul 25 2001 Harald Hoyer <harald@redhat.com> 2.65-5
- fixed autorun-condstart.sh
 
* Wed Jul 25 2001 Harald Hoyer <harald@redhat.com> 2.65-4
- added autorun-condstart.sh, which fixes KDE bad Exec behaviour in .desktop

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Fri Mar 30 2001 Harald Hoyer <harald@redhat.de> 2.65
- fixed .desktop (escaped the double-quotes)

* Fri Mar 30 2001 Harald Hoyer <harald@redhat.de> 2.65
- fixed .desktop (escaped the double-quotes)

* Wed Mar 28 2001 Preston Brown <pbrown@redhat.com> 2.63-5
- better check for console ownership (works in runlevel 3 also)

* Wed Mar 21 2001 Preston Brown <pbrown@redhat.com> 2.63-4
- one more message marked only for verbose output

* Wed Mar 21 2001 Harald Hoyer <harald@redhat.de> 2.63-3
- fixed Autorun.desktop

* Wed Mar 14 2001 Harald Hoyer <harald@redhat.de> 
- removed requirements for kdemultimedia and kdebase

* Tue Mar 06 2001 Harald Hoyer <harald@redhat.de>
- added additional check to ensure we have a CDROM
- additional check if CDROM is in defined status

* Thu Feb 15 2001 Preston Brown <pbrown@redhat.com>
- accept "auto" type of filesystem as valid
 
* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE 2.x keeps its autostart files in ~/.kde/Autostart,
  not ~/Desktop/Autostart

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- fixed Autorun.kdelnk to lock the door
- renamed Autorun.kdelnk to .desktop
 
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild
 
* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++
 
* Thu Jun  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current gcc
- move man pages where they belong
- use makeinstall macro
 
* Wed May 03 2000 Harald Hoyer <harald@redhat.com>
- fixed Autostart .kdelnk

* Thu Feb 14 2000 Harald Hoyer <harald@redhat.com>
- updated man page

* Thu Feb 10 2000 Harald Hoyer <harald@redhat.com>
- released 2.6
- fixed insert-notify bug

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up Autorun.kdelnk

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary

* Tue Nov 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- version 2.5
- some .spec cleanups

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- correct patch for the "owner" option

* Wed Sep 22 1999 Preston Brown <pbrown@redhat.com>
- require kdemultimedia (kscd) and kdebase (kfmexec)

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fixed path to autorun script
- don't install .kdelnks; we now check for autorun in startkde
  and act accordingly

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- patched to allow "owner" mount option

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- enabled back KDE-only mode

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- imported for Red Hat Linux 6.1
- patch it up to make it more desktop-independednt (and require cdp because
  of that)
